Bug 1235143 - Async store should write all data to the back-end store before shutting down
Summary: Async store should write all data to the back-end store before shutting down
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: 6.5.1
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-24 07:15 UTC by Dan Berindei
Modified: 2022-05-31 22:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-5562 0 Major Resolved AsyncCacheWriter should write all data to the back-end store before shutting down 2015-11-12 13:46:07 UTC

Description Dan Berindei 2015-06-24 07:15:25 UTC
There is a chance that AsyncCacheWriter may stop before writing all modifications to the back-end store. This can primarily happen when writing the same keys in rapid succession. The coordinator thread will move these modifications to the head state (because of conflicts with tail), which is not checked before shutdown.


Note You need to log in before you can comment on or make changes to this bug.